<?php
/**
* @version $Id: index.php
* @package
* @action 显示实例程序
*/
include_once("../config.php");//数据库配置文件
include_once("../common.php");//数据库配置文件
include_once("../smarty/Smarty.class.php"); //包含smarty类文件
include_once("../templates/config/conf.php");//包含smarty配置文件

//循环输出数据库文件
function getdata(){
$sql="select * from product"; //搜索数据表
$i=0;
$mrs = mysql_query($sql);
if($mrs){
	$cols = mysql_num_fields($mrs)-1;
	while($rows=mysql_fetch_array($mrs)){
	 for($m=0;$m<=$cols;$m++){
	$myfield = mysql_field_name($mrs,$m);
   $a[$i][$myfield]= $rows[$m];
}
$i++;
}
}
return $a;
}
$listdata = getdata();
$smarty->assign("da",$listdata);


$smarty->assign("page",$_GET['lm_rjnmid']);

$smarty->assign("name", "Lovezaocha"); //进行模板变量替换

//循环数组输出
$array[] = array("newsID"=>1, "newsTitle"=>"第1条新闻");
$array[] = array("newsID"=>2, "newsTitle"=>"第2条新闻");
$array[] = array("newsID"=>3, "newsTitle"=>"第3条新闻");
$array[] = array("newsID"=>4, "newsTitle"=>"第4条新闻");
$array[] = array("newsID"=>5, "newsTitle"=>"第5条新闻");
$array[] = array("newsID"=>6, "newsTitle"=>"第6条新闻");
//这是一个二维关联数组
$smarty->assign("news", $array); 


//自定义函数
$smarty->register_function("thisfont", "test");  
function test($params){
 $str = "";
 extract($params);
 for($i=0;$i<$num;$i++){
  $str .= "<font size='".$size."' color='".$color."'>".$con."</font>";
 }
 return $str;
}


$smarty->display("index.htm"); //编译并显示位于./templates下的index.htm模板
?>